Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class PartySDDChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.PartySDDChoice

    public class PartySDDChoice
    extends java.lang.Object

Java class for PartySDDChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartySDDChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="OrgId" type="{urn:swift:xsd:$pain.008.002.01}OrganisationIdentificationSDDChoice"/>
               <element name="PrvtId" type="{urn:swift:xsd:$pain.008.002.01}PersonIdentificationSDD1"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected OrganisationIdentificationSDDChoice` `orgId`
`protected PersonIdentificationSDD1` `prvtId`

### Constructor Summary

Constructors
`PartySDDChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OrganisationIdentificationSDDChoice` `getOrgId()` Gets the value of the orgId property.
`PersonIdentificationSDD1` `getPrvtId()` Gets the value of the prvtId property.
`void` `setOrgId​(OrganisationIdentificationSDDChoice value)` Sets the value of the orgId property.
`void` `setPrvtId​(PersonIdentificationSDD1 value)` Sets the value of the prvtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgId

    protected OrganisationIdentificationSDDChoice orgId

#### prvtId

    protected PersonIdentificationSDD1 prvtId

### Constructor Detail

#### PartySDDChoice

    public PartySDDChoice()

### Method Detail

#### getOrgId

    public OrganisationIdentificationSDDChoice getOrgId()

Gets the value of the orgId property.

Returns:
  possible object is `OrganisationIdentificationSDDChoice`

#### setOrgId

    public void setOrgId​(OrganisationIdentificationSDDChoice value)

Sets the value of the orgId property.

Parameters:
  `value` - allowed object is `OrganisationIdentificationSDDChoice`

#### getPrvtId

    public PersonIdentificationSDD1 getPrvtId()

Gets the value of the prvtId property.

Returns:
  possible object is `PersonIdentificationSDD1`

#### setPrvtId

    public void setPrvtId​(PersonIdentificationSDD1 value)

Sets the value of the prvtId property.

Parameters:
  `value` - allowed object is `PersonIdentificationSDD1`